Public Class fPassword
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim pass As String = DateTime.Now.ToString("ddMMyyyy")
        If TextBox1.Text = pass Then
            DialogResult = DialogResult.OK
        Else
            DialogResult = DialogResult.Cancel
        End If
    End Sub
End Class